import $ from 'jquery'
import 'parsleyjs'
window.jQuery = $
window.$ = $


$.extend(window.Parsley.options, {
  // Default options for bootstrap 4 with bootstrap-select
  classHandler({ $element }) {
    if (
      $element.is('select') && 
      $element.parent().is('.bootstrap-select')
    ) {
      return $element.parent()
    }
    return $element
  },
  errorsContainer({ $element }) {
    return $element.closest('.form-group, .form-check')
  },
  errorClass: 'is-invalid',
  errorsWrapper: '<div class="invalid-feedback"></div>',
  errorTemplate: '<span></span>',
  successClass: 'is-valid',
  trigger: 'blur change ',
  triggerAfterFailure: 'input change',
})


import 'parsleyjs/src/i18n/de'
window.Parsley.setLocale(
  document.documentElement.getAttribute('lang') || 'en'
)
